<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Software ENgineering Code of Ethics</title>
</head>
<body>
	<em>Science and Engineering Ethics (2001) 7, 321-238</em>
	<hr>
	<h1>Software ENgineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CS/ACM Joint Taks Force on Software ENgineering Ethics and Professional Practices</h3>
	<hr>
	<p><b>Keywords:</b> code of ethics, professional responsibility, software engineering</p>

	<h3>PREAMBLE</h3>
	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details ceb become legalistic aspirations and the details form a cohesive code.
		<br>
		<br>
	Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>
	<br>
	<h3>PRINCIPLES</h3>
	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standars possible.</li>
		<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
		<li><em>Management.</em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession and consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning and regarding the practice of their profession and shall promote an ethical appraoch to the practice of the profession.</li>
	</ol>

	</body>
</html>